package com.igzcode.java.web.data;

import java.util.List;

/**
 * A POJO class to represent the query information: SQL string and parameters order.
 * It is used by {@link com.igzcode.java.web.data.Sql Sql} class.
 */
public class QueryInfo {
	
	private String _Id;
	private String _Sql;
	private List<String> _ParamOrder;
	
	public QueryInfo (String p_id, String p_sql, List<String> p_params) {
		SetId(p_id);
		SetSql(p_sql);
		SetParamOrder(p_params);
	}
	
	public String GetId() {
		return _Id;
	}
	public void SetId(String p_id) {
		this._Id = p_id;
	}
	
	public String GetSql() {
		return _Sql;
	}
	public void SetSql(String p_sql) {
		this._Sql = p_sql;
	}
	
	public List<String> GetParamOrder() {
		return _ParamOrder;
	}
	public void SetParamOrder (List<String> p_params) {
		this._ParamOrder = p_params;
	}

}
