package com.igzcode.java.web.net.mail;

import javax.mail.Authenticator;
import javax.mail.PasswordAuthentication;

public class PasswordAuthenticator extends Authenticator {

    private String _User;
    private String _Pwd;

    public PasswordAuthenticator(String username, String password) {
        super();
        
        this._User = username;
        this._Pwd = password;
    }

    public PasswordAuthentication getPasswordAuthentication() {
        return new PasswordAuthentication(_User, _Pwd);
    }
}