# IGZ-JAVA-WEB

IGZ-JAVA-WEB provides different server-side techniques for server construction in Java applications.
It is a methodology that will help you to build structured and organized Web applications:

* Simple, minimalist and easy to use
* Designed to create complex and big applications
* Open source: New BSD License

## Installation

This library is not in central maven repositories. Add the igzcode repository to your project:
```xml
<repository>
	<id>igzcode-releases</id>
	<name>igzcode repository</name>
	<url>http://nexus.igzcode.com/content/repositories/releases/</url>
</repository>
<repository>
	<id>igzcode snapshot repository</id>
	<name>Repositorio de IGZcode</name>
	<url>http://nexus.igzcode.com/content/repositories/snapshots/</url>
</repository>
```

Add the maven dependency:

You can check the last version at http://nexus.igzcode.com/index.html#nexus-search;quick~igzcode-web

```xml
<dependency>
	<groupId>com.igzcode.java</groupId>
	<artifactId>igzcode-web</artifactId>
	<version>1.4-SNAPSHOT</version>
</dependency>
```

## Documentation

### API Reference
http://intelygenz.github.com/igzcode-javaweb/

### User Guide
https://github.com/intelygenz/igzcode-javaweb/wiki/User-Guide
